🌺

禅道开源版18.12升级失败

回贴
1个回复
阅读数 394
发表时间 2024-04-30 17:24:44
风流的斑马
  • 访问次数 1
  • 注册日期 2024-04-30
  • 最后登录 2024-04-30
  • 我的积分 57
楼主

开源版 从18.0升级到18.12时报错,不知道如何处理。

17:16:26 syntax error, unexpected '|', expecting variable (T_VARIABLE) in /opt/zbox/app/zentao/module/metric/model.php on line 492 when visiting /zentao/upgrade.php?m=upgrade&f=execute&fromVersion=18_0

1个回复
🌸
禅道-李锡碧
  • 访问次数 5173
  • 注册日期 2017-02-22
  • 最后登录 2024-06-19
  • 我的积分 41342
沙发

看提示应该是下载升级包的时候,php版本选择的不对。


处理方式:

1.  /opt/zbox/bin/php -v 查看下php的版本号

2. 下载安装包的时候,根据php版本进行选择。

3. 重新下载安装包,解压,覆盖下代码。

4. 访问/zentao/upgrade.php 升级。


另外:

1. 升级之前记得备份。

2. 禅道使用问题,也可以联系官网顶部商务QQ,邀请加入技术交流群沟通。

禅道-李锡碧 最后编辑, 2024-04-30 18:19:22
返回顶部
1746749398.png' class="sales-image" />
高级客户经理
18561939726.png' class="sales-qrcode" />
统一服务热线 4006-8899-23
我要提问提问有任何问题,您都可以在这里提问。